Update customer email
https://carchost.fieldcontrol.com.br/customers/{customerId}/emails/{emailId}Updates an email of the customer.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Path parameters
customerIdstringrequiredCustomer identifier.
emailIdstringrequiredEmail identifier.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
addressstring (email)requiredEmail address. Converted to lowercase.
typestringrequiredEmail type.
Accepted values: personal, work.
primarybooleanSets it as the customer's primary email.
Default: false.
Responses
- 200
Email updated.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Resource not found. The response body is empty.
- 422
Invalid request data (resourceValidationErr).
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.